extends RayCast3D
## Snaps step targets to surfaces

@export var step_target: Node3D


func _ready() -> void:
	if not step_target:
		step_target = get_child(0) as Node3D


func _physics_process(_delta: float) -> void:
	var point := get_collision_point()
	if point:
		step_target.global_position = point
